aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSlack Coder <slackcoder@server.ky>2022-08-11 08:11:22 -0500
committerSlack Coder <slackcoder@server.ky>2022-08-11 08:24:07 -0500
commit5e85f64105b430f7ba0a883f2db4c033f4b64266 (patch)
treeedd4f2a271185a88c19354bee1b0072b2049a2d1
parent73f6d40a03dfebae6645a42c277775f2f2fef8d7 (diff)
downloadslackbuilds-5e85f64105b430f7ba0a883f2db4c033f4b64266.tar.xz
discord: add v0.0.19
-rw-r--r--discord/README7
-rw-r--r--discord/discord.SlackBuild95
-rw-r--r--discord/discord.info10
-rw-r--r--discord/doinst.sh3
-rw-r--r--discord/slack-desc19
5 files changed, 134 insertions, 0 deletions
diff --git a/discord/README b/discord/README
new file mode 100644
index 0000000..9885858
--- /dev/null
+++ b/discord/README
@@ -0,0 +1,7 @@
+discord (It's time to ditch Skype and TeamSpeak)
+
+All-in-one voice and text chat for gamers that's free, secure, and
+works on both your desktop and phone. Stop paying for TeamSpeak
+servers and hassling with Skype. Simplify your life.
+
+Discord is only available as a 64bit program. 32bit is unsupported.
diff --git a/discord/discord.SlackBuild b/discord/discord.SlackBuild
new file mode 100644
index 0000000..c1065fb
--- /dev/null
+++ b/discord/discord.SlackBuild
@@ -0,0 +1,95 @@
+#!/bin/bash
+
+# Slackware build script for discord
+#
+# Copyright 2016-2021 Jeremy Hansen <jebrhansen+SBo -at- gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=discord
+VERSION=${VERSION:-0.0.19}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ DEBARCH="i386"
+ LIBDIRSUFFIX=""
+ echo "This package is currently only available for 64bit."
+ exit 1
+elif [ "$ARCH" = "x86_64" ]; then
+ DEBARCH="amd64"
+ LIBDIRSUFFIX="64"
+else
+ echo "Package for $(uname -m) architecture is not available."
+ exit 1
+fi
+
+set -eu
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $PKG
+ar p $CWD/${PRGNAM}-${VERSION}.deb data.tar.gz | tar zxv
+
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+mv $PKG/usr/share/doc/discord/copyright $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+# Don't need these:
+rm -rf $PKG/usr/share/doc $PKG/usr/share/lintian
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/discord/discord.info b/discord/discord.info
new file mode 100644
index 0000000..c2ddcf0
--- /dev/null
+++ b/discord/discord.info
@@ -0,0 +1,10 @@
+PRGNAM="discord"
+VERSION="0.0.19"
+HOMEPAGE="https://discordapp.com"
+DOWNLOAD="UNSUPPORTED"
+MD5SUM=""
+DOWNLOAD_x86_64="https://dl.discordapp.net/apps/linux/0.0.19/discord-0.0.19.deb"
+MD5SUM_x86_64="9d3979ab442c318299ae805278f87166"
+REQUIRES=""
+MAINTAINER="Jeremy Hansen"
+EMAIL="jebrhansen+SBo@gmail.com"
diff --git a/discord/doinst.sh b/discord/doinst.sh
new file mode 100644
index 0000000..5fb2893
--- /dev/null
+++ b/discord/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/discord/slack-desc b/discord/slack-desc
new file mode 100644
index 0000000..860f331
--- /dev/null
+++ b/discord/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+discord: discord (It's time to ditch Skype and TeamSpeak)
+discord:
+discord: All-in-one voice and text chat for gamers that's free, secure, and
+discord: works on both your desktop and phone. Stop paying for TeamSpeak
+discord: servers and hassling with Skype. Simplify your life.
+discord:
+discord: Homepage: https://discordapp.com/
+discord:
+discord:
+discord:
+discord: